type Rsyslog::Actions::Outputs::Omfile = Struct[{
  file               => Optional[Stdlib::Absolutepath],
  dynafile           => Optional[String[1]],
  template           => Optional[String[1]],
  closetimeout       => Optional[Integer],
  dynafilecachesize  => Optional[Integer],
  ziplevel           => Optional[Integer],
  veryrobustzip      => Optional[Enum['on', 'off']],
  flushinterval      => Optional[Integer],
  asyncwriting       => Optional[Enum['on', 'off']],
  flushontxend       => Optional[Enum['on', 'off']],
  iobuffersize       => Optional[Pattern[/^([0-9]+)[kKmMgGtT]$/]],
  dirowner           => Optional[String[1]],
  dirownernum        => Optional[Integer],
  dirgroup           => Optional[String[1]],
  dirgroupnum        => Optional[Integer],
  fileowner          => Optional[String[1]],
  fileownernum       => Optional[Integer],
  filegroup          => Optional[String[1]],
  filegroupnum       => Optional[Integer],
  filecreatemode     => Optional[Pattern[/^(([0-7]{1,4})*)$/]],
  dircreatemode      => Optional[Pattern[/^(([0-7]{1,4})*)$/]],
  failonchownfailure => Optional[Enum['on', 'off']],
  createdirs         => Optional[Enum['on', 'off']],
  sync               => Optional[Enum['on', 'off']],
  'sig.provider'     => Optional[Enum['ksi_ls12']],
  'cry.provider'     => Optional[Enum['gcry']],
}]
