type Rsyslog::Actions::Outputs::Omfwd = Struct[{
  target                            => Optional[Stdlib::Host],
  port                              => Optional[Stdlib::Port],
  protocol                          => Optional[Enum['tcp', 'udp', 'ossl', 'gtls']],
  networknamespace                  => Optional[String[1]],
  address                           => Optional[Stdlib::IP::Address],
  ipfreebind                        => Optional[Integer[0, 2]],
  device                            => Optional[String[1]],
  tcp_framing                       => Optional[Enum['traditional', 'octet-counted']],
  tcp_framedelimiter                => Optional[Integer[0, 255]],
  ziplevel                          => Optional[Integer[0, 9]],
  'compression.mode'                => Optional[Enum['none', 'single', 'stream:always']],
  'compression.stream.flushontxend' => Optional[Enum['on', 'off']],
  rebindinterval                    => Optional[Integer],
  keepalive                         => Optional[Enum['on', 'off']],
  'keepalive.probes'                => Optional[Integer],
  'keepalive.interval'              => Optional[Integer],
  'keepalive.time'                  => Optional[Integer],
  streamdriver                      => Optional[Enum['tcp', 'ossl', 'gtls']],
  streamdrivermode                  => Optional[Integer],
  streamdriverauthmode              => Optional[String[1]],
  streamdriverpermittedpeers        => Optional[String[1]],
  resendlastmsgonreconnect          => Optional[Enum['on', 'off']],
  'udp.sendtoall'                   => Optional[Enum['on', 'off']],
  'udp.senddelay'                   => Optional[Integer],
  gnutlsprioritystring              => Optional[String[1]],
}]
